Bug 170887 - Neterion(S2io) adapter not functional after running offline diagnostics
Summary: Neterion(S2io) adapter not functional after running offline diagnostics
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
high
Target Milestone: ---
: ---
Assignee: John W. Linville
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 168429
TreeView+ depends on / blocked
 
Reported: 2005-10-15 01:43 UTC by Ravinandan Arakali
Modified: 2007-11-30 22:07 UTC (History)
4 users (show)

Fixed In Version: RHSA-2006-0132
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 20:26:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix for offline diag problem mentioned in bug and related fixes. (11.13 KB, patch)
2005-10-15 01:53 UTC, Ravinandan Arakali
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:808 normal SHIPPED_LIVE Important: kernel security update 2005-10-27 04:00:00 UTC
Red Hat Product Errata RHSA-2006:0132 qe-ready SHIPPED_LIVE Moderate: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 3 2006-03-09 16:31:00 UTC

Description Ravinandan Arakali 2005-10-15 01:43:46 UTC
Description of problem:
After offline diagnostics(ethtool -t) is run on the Neterion(S2io) adapter,
the NIC is not functional.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Ravinandan Arakali 2005-10-15 01:53:51 UTC
Created attachment 120009 [details]
Fix for offline diag problem mentioned in bug and related fixes.

This patch contains the following fixes :
1. Adapter is now functional after running offline diagnostics.
2. Added SPI interface code(for Xframe II) to perform EEPROM read/write
   tests.
3. Modify expected value in register test depending on adapter(Xframe I/II).
4. Correct return values for functions called from offline diag routine.
5. Use correct API to write to RLDRAM registers.

Comment 2 Suzanne Hillman 2005-10-17 15:03:45 UTC
As Bugzilla is not an official support channel, has no response guarantees, and
may not route your issue to the correct area to assist you, you might wish to
file a support request. To do this, please either contact Red Hat's Technical
Support line at 888-GO-REDHAT or file a web ticket at
http://www.redhat.com/apps/support/. Using the official support channels above
will guarantee that your issue is handled appropriately and routed to the
individual or group which can best assist you with this issue and will also
allow Red Hat to track the issue, ensuring that any applicable bug fix is
included in all releases and is not dropped from a future update or major
release.

Comment 3 John W. Linville 2005-10-17 15:04:42 UTC
Has this patch gone upstream?  If not, when can I expect to see it there? 

Comment 4 Ravinandan Arakali 2005-10-17 17:46:36 UTC
The patch is not yet submitted to open source kernel. I plan to do it today
(worst case tomorrow).

Ravi


Comment 5 John W. Linville 2005-10-17 19:09:17 UTC
Test kernels w/ the above patch available here: 
 
   http://people.redhat.com/linville/kernels/rhel4/ 
 
Please verify that they behave as expected, and post the results 
here...thanks! 

Comment 6 Ravinandan Arakali 2005-10-18 22:18:24 UTC
Verified that the test kernel works fine.
Also, the patch has been accepted into upstream by open source community.


Comment 11 Red Hat Bugzilla 2006-03-07 20:26:50 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0132.html



Note You need to log in before you can comment on or make changes to this bug.